<?php

namespace Modules\VetAdmission\Entities;

use Illuminate\Database\Eloquent\Model;

class VaProtocolItem extends Model
{
    protected $table = 'va_protocol_items';
    protected $guarded = ['id'];

    protected $casts = ['payload' => 'array'];

    public function protocol()
    {
        return $this->belongsTo(VaProtocol::class, 'protocol_id');
    }
}
